## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global is_alpha 0

Summary:	Extensible editor for structured binary data
Name:		poke
Version:	4.2
Release:	%autorelease

# Documentation under GFDL
License:	GPL-3.0-or-later AND GFDL-1.3-no-invariants-or-later
URL:		https://www.jemarch.net/poke
%if 0%is_alpha
Source0:	https://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:	https://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
%else
Source0:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
%endif
# the url also contains html -> manually stripped away
Source2:	https://keyserver.ubuntu.com/pks/lookup?op=get&search=0xf951cd18180e20b7dbd9359d54583674549e7e3a#./mnabipoor-keyring.asc

BuildRequires:	emacs
BuildRequires:	gcc
BuildRequires:	gc-devel
BuildRequires:	libnbd-devel
BuildRequires:	nbdkit
BuildRequires:	nbdkit-data-plugin
BuildRequires:	nbdkit-memory-plugin
BuildRequires:	make
BuildRequires:	readline-devel
BuildRequires:	vim-common
# for gpg verification
BuildRequires:	gnupg2
# for check
BuildRequires:	dejagnu

Requires:	%{name}-data = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}

# bundles gnulib commit 5aa8eafc0e224d039b1bf4122fc1eef364aa44c6
Provides:	bundled(gnulib) = 20240305
# bundles jitter, should be packaged independently in the future
Provides:	bundled(jitter) = 0.7.312

%description
GNU poke is an interactive, extensible editor for binary data. Not
limited to editing basic entities such as bits and bytes, it provides
a full-fledged procedural, interactive programming language designed
to describe data structures and to operate on them.

%package	data
Summary:	Data files for %{name}
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
%description	data
Data files for %{name}.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	emacs
Summary:	Emacs support for %{name}
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
%description	emacs
Emacs support for %{name}.

%package	libs
Summary:	Library files for %{name}
%description	libs
Libraries for %{name}.

%package	vim
Summary:	vim support for %{name}
%description	vim
vim support for %{name}.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
# Confirmed by upstream, Jitter is sensible to LTO and pvm-vm2.c requires no LTO.
# Until a fix exists, remove LTO flags.
%define _lto_cflags %{nil}
%configure
%make_build

%check
make check

%install
%{make_install}
rm -f %{buildroot}/%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/libpoke.a
rm -f %{buildroot}%{_libdir}/libpoke.la

# Byte compile the Emacs files
cd %{buildroot}%{_emacs_sitelispdir}
%_emacs_bytecompile poke-map-mode.el poke-ras-mode.el
cd -

%files
%{_bindir}/%{name}
%{_bindir}/poked
%{_bindir}/pokefmt
%{_bindir}/pk-bin2poke
%{_bindir}/pk-jojopatch
%{_bindir}/pk-strings
%{_infodir}/poke.info*.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/poked.1*
%{_mandir}/man1/pokefmt.1*
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING

%files data
%{_datadir}/%{name}/

%files devel
%{_includedir}/libpoke.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libpoke.so
%{_datadir}/aclocal/%{name}.m4


%files emacs
%{_emacs_sitelispdir}/poke-*

%files libs
%{_libdir}/libpoke.so.1*
%license COPYING

%files vim
%{vimfiles_root}/ftdetect/%{name}.vim
%{vimfiles_root}/syntax/%{name}.vim

%changelog
## START: Generated by rpmautospec
* Mon Jul 01 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 4.2-1
- New upstream release 4.2

* Fri Jun 07 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 4.1-1
- New upstream release 4.1, fixes rhbz#2272311

* Fri Mar 15 2024 Richard W.M. Jones <rjones@redhat.com> - 3.90.4-2
- Add BuildRequires for nbdkit

* Sun Feb 25 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.90.4-1
- New upstream α-release 3.90.4

* Mon Feb 12 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.90.3-1
- New upstream α-release 3.90.3

* Fri Feb 09 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.90.2-1
- New upstream α-release 3.90.2

* Thu Feb 08 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.90.1-1
- New upstream α-release 3.90.1

* Thu Feb 08 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.3-4
- Add support for buildnig from α-releases

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 21 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.3-1
- Update to 3.3 - Closes rhbz#2232936

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 15 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.2-1
- New upstream release 3.2

* Tue Apr 18 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.1-1
- New upstream release 3.1, fixes rhbz#2187482

* Mon Jan 30 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.0-4
- Remove no-longer needed BuildRequire json-c, autoconf & automake

* Mon Jan 30 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.0-3
- Correct typo in comment

* Mon Jan 30 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.0-2
- Switch license identifier to SPDX

* Thu Jan 26 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.0-1
- New upstream release 3.0, fixes rhbz#2164634

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jul 26 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.4-1
- Update to 2.4 - Closes rhbz#2110514

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Mar 31 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.3-1
- Update to 2.3 - Closes rhbz#2069838

* Sat Mar 19 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.1-3
- Rebuild to fix mass branching nvr issue

* Tue Feb 08 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.1-2
- Add missing signature file

* Tue Feb 08 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.1-1
- Update to 2.1 - Closes rhbz#2047465
- Remove LTO flags due to Jitter requirements
- Add vim subpackage

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 10 2021 Björn Esser <besser82@fedoraproject.org> - 1.3-2
- Rebuild for versioned symbols in json-c

* Sat Jun  5 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.3-1
- New upstream release 1.3
- Fixes rhbz#1968111
- Add gpg source verification

* Fri Apr 30 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2-1
- Update to 1.2
- Remove libtextstyle optional dep as it may go away https://src.fedoraproject.org/rpms/gettext/pull-request/9
- Add emacs subpackage

* Thu Mar 18 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0-4
- Check for libtextstyle only in Fedora, as it doesn't exist in RHEL

* Wed Mar 17 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0-3
- More changes for #1939271 review

* Wed Mar 17 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0-2
- Spec changes for #1939271 review

* Mon Mar 15 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0-1
- Initial version of the package

## END: Generated by rpmautospec
